 //document.ready
$(document).ready(function() {  
	window.location.href = "skp:ready@"; 
	$(".time_step_hour").change(function(){ onChangeTimeStepHour(this) })
	$(".time_step_month").change(function(){ onChangeTimeStepMonth(this) })

	// visiblity
	$(".setting_visiblity").change(function() {
		var id = $(this).attr('id');
		var checked = $(this).prop('checked');
		window.location.href = "skp:changeVisiblity@"+id+'|'+checked;
	})
}); //document.ready

//set value
function setTimeStepHourOps(min, max) {
	$("#time_step_hour_left").empty()
	$("#time_step_hour_right").empty()

	var options = '';
	for (i = Number(min); i < Number(max)+1; i++) {
    $option = $("<option></option>")
    $option.val(i)
    $option.text(i + "h")
    $("#time_step_hour_left").append($option);
		// $("#time_step_hour_right").append($option);
	}

	$("#time_step_hour_right").html($("#time_step_hour_left").html());

	$("#time_step_hour_slider_left").attr("min", min);
	$("#time_step_hour_slider_left").attr("max", max);

	$("#time_step_hour_slider_right").attr("min", min);
	$("#time_step_hour_slider_right").attr("max", max);
};

function selectDomSize(size){ 
	$('#dom_number').val(size); 
	$('#dom_size').val(size); 
};

function selectTimeStateMonth(left, right){ 
	$("#time_step_month_left").val(left)
	$("#time_step_month_slider_left").val(left)
	$("#time_step_month_right").val(right)
	$("#time_step_month_slider_right").val(right)
};

function selectTimeStateHour(left, right){ 
	$("#time_step_hour_left").val(left)
	$("#time_step_hour_slider_left").val(left)
	$("#time_step_hour_right").val(right)
	$("#time_step_hour_slider_right").val(right)
};

function selectDomState(state){ $('#time_step').val(state); };

function selectNorthAngle(angel){ 
	$('#input_north_angle').val(angel); 
	$('#north_angle').val(angel); 
};

function setVisiblity(id, show){
	if (show == "true"){
		checked = true
	}else{
		checked = false
	}
	$('#'+ id).prop('checked', checked);
}

// azimuth
function setSunAzimuth(azimuth){
	$("#sun_azimuth").val(azimuth)
}
// alitude
function setSunAlitude(alitude){
	$("#sun_alitude").val(alitude)
}

// onChange==================

function onChangeTimeStepHour(element){
	var value = $(element).val()
	if ($(element).hasClass("left")){
		$("#time_step_hour_left").val(value)
		$("#time_step_hour_slider_left").val(value)
	}else{
		$("#time_step_hour_right").val(value)
		$("#time_step_hour_slider_right").val(value)
	}

	val_r = $("#time_step_hour_slider_right").val()
	val_l = $("#time_step_hour_slider_left").val()
	console.log(val_r+"-"+val_l)
	if (Number(val_r) < Number(val_l)){
		console.log('val_r < val_l')
		$("#time_step_hour_left").val(val_r)
		$("#time_step_hour_slider_left").val(val_r)
		$("#time_step_hour_right").val(val_l)
		$("#time_step_hour_slider_right").val(val_l)
	};

	val_r = $("#time_step_hour_slider_right").val()
	val_l = $("#time_step_hour_slider_left").val()
	window.location.href = "skp:time_step_hour@" + val_l +'|'+val_r;
}

function onChangeTimeStepMonth(element) {
	var value = $(element).val()
	if ($(element).hasClass("left")){
		$("#time_step_month_left").val(value)
		$("#time_step_month_slider_left").val(value)
	}else{
		$("#time_step_month_right").val(value)
		$("#time_step_month_slider_right").val(value)
	}

	val_r = $("#time_step_month_slider_right").val()
	val_l = $("#time_step_month_slider_left").val()
	console.log(val_r+"-"+val_l)
	if (Number(val_r) < Number(val_l)){
		console.log('val_r < val_l')
		$("#time_step_month_left").val(val_r)
		$("#time_step_month_slider_left").val(val_r)
		$("#time_step_month_right").val(val_l)
		$("#time_step_month_slider_right").val(val_l)
	};

	val_r = $("#time_step_month_slider_right").val()
	val_l = $("#time_step_month_slider_left").val()
	window.location.href = "skp:time_step_month@" + val_l +'|'+val_r;
}

// dome size
function domeSizeChange(val) {
  console.log('dom_size' + val)
  $("#dom_number").val(val);
  $("#dom_size").val(val);
 	window.location.href = "skp:domeSizeChange@" + val;
}

// north_angle
function northAngleChange(element) {
  var value = $(element).val()
  $("#input_north_angle").val(value);
  $("#north_angle").val(value);
  window.location.href = "skp:northAngleChange@" + value;
}

// azimuth
function azimuthChange(element) {
  window.location.href = "skp:azimuthChange@" + $(element).val();
}

// alitude
function alitudeChange(element) {
  window.location.href = "skp:alitudeChange@" + $(element).val();
}


// canvas
function linePatterncanvans(sx, sy, ex, ey, angel) {	
	var canvas = document.getElementById("canvas");    
	var ctx = canvas.getContext("2d");
	ctx.strokeStyle = "#FFFF00";
	ctx.beginPath();
	ctx.moveTo(sx, sy);
	ctx.lineTo(ex , ey);
	ctx.stroke();
	
	ctx.strokeStyle = "#FF0000";
	ctx.beginPath();
	ctx.moveTo(70, 70);
	ctx.lineTo(140 , 70);
	ctx.stroke();
	ctx.strokeStyle = "#09FF00";
	ctx.beginPath();
	ctx.moveTo(70, 70);
	ctx.lineTo(70 , 0);
	ctx.stroke();
	ctx.strokeStyle = "#000000";
	ctx.beginPath();
	ctx.arc(sx, sy, 5, 0, 2 * Math.PI, true);
	ctx.stroke();
	
	if (angel==0){
		angel = angel+0.01;
	}else{
		angel = angel-0.01;
	};
	ctx.strokeStyle = "#FFFF00";
	ctx.beginPath();
	ctx.arc(sx, sy, 25, 1.5* Math.PI, angel-0.5* Math.PI, false);
	ctx.stroke();
};

function clearCanvas() {
	var canvas = document.getElementById("canvas");    
	var ctx = canvas.getContext("2d");
	ctx.clearRect(0, 0, 140, 140);
};